<?php

class RbsPaymentOrderStateModuleFrontController extends ModuleFrontController
{
	/** @var Rbspayment */
	public function __construct()
	{

		if (Configuration::get('PS_RBS_STATE') != Configuration::get('PS_RBS_STATE_DEFAULT'))
		{
			parent::__construct();

			$order_id = Tools::getValue('orderId');

			$curl_data = array('userName' => $this->module->getLogin(), 'password' => $this->module->getPassword(), 'orderId' => $order_id);

            $return_gate = $this->module->gateway('getOrderStatus'.$this->module->ext, $curl_data, $this->module->getLink(), $this->module->debug);
            $return = $this->module->noCamelCase($return_gate);

//RA fixed
			$id_order = Db::getInstance()->getValue('SELECT `id_order` FROM `'
				._DB_PREFIX_.'rbs_payment` WHERE `id_order` = \''.pSQL($return['ordernumber']).'\'');

			if ($id_order && isset($return['orderstatus']) && $return['orderstatus'] == RbsPayment::_AUTHORIZATION_)
			{
				$order = new Order($id_order);
				$order_history = new OrderHistory();
				$order_history->changeIdOrderState((int)$return['orderstatus'], $order);
			}
		}
		$link = new Link;
		Tools::redirect($link->getPageLink('history'));
	}
}